This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 988915 - display finds no decode delegate for stdin
display finds no decode delegate for stdin
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: ImageMagick (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-26 13:12 EDT by Richard Körber
Modified: 2014-03-30 10:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-30 10:42:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Körber 2013-07-26 13:12:49 EDT
Description of problem:
display fails when showing an image file from stdin.

Version-Release number of selected component (if applicable):
ImageMagick-6.7.8.9-5.fc19.x86_64

How reproducible:
always

Steps to Reproduce:
1. display image.jpg
2. display < image.jpg

Actual results:
1. image.jpg is shown
2. display writes on stderr:

display: no decode delegate for this image format `/tmp/magick-nfwG92Yu' @ error/constitute.c/ReadImage/544.

Expected results:
image.jpg is shown on both steps

Additional info:
Tested with jpg and png.
It was working on Fedora 18.
Comment 1 Pavel Alexeev 2013-07-27 15:08:46 EDT
You should provide name of file to display, for stdin you may use -.
So:
$ display - < image.jpg

works. I've test it.
Comment 2 Pavel Alexeev 2014-03-30 10:42:37 EDT
Feel free to reopen if it is not solved yet.

Note You need to log in before you can comment on or make changes to this bug.